## NMSettingOvsDpdk NMSettingOvsDpdk — Describes connection properties for Open vSwitch DPDK interfaces. |

## Functions

NMSetting * | nm_setting_ovs_dpdk_new ()
const char * | nm_setting_ovs_dpdk_get_devargs ()
guint32 | nm_setting_ovs_dpdk_get_n_rxq ()
guint32 | nm_setting_ovs_dpdk_get_n_rxq_desc ()
guint32 | nm_setting_ovs_dpdk_get_n_txq_desc ()

## Types and Values

#define | NM_SETTING_OVS_DPDK_SETTING_NAME
#define | NM_SETTING_OVS_DPDK_DEVARGS
#define | NM_SETTING_OVS_DPDK_N_RXQ
#define | NM_SETTING_OVS_DPDK_N_RXQ_DESC
#define | NM_SETTING_OVS_DPDK_N_TXQ_DESC

## Description

The NMSettingOvsDpdk object is a NMSetting subclass that describes properties necessary for Open vSwitch interfaces of type "dpdk".

## Functions

### nm_setting_ovs_dpdk_new ()

    NMSetting *
    nm_setting_ovs_dpdk_new (void);

Creates a new NMSettingOvsDpdk object with default values.

#### Returns

the new empty NMSettingOvsDpdk object.

[transfer full]

Since: 1.20

### nm_setting_ovs_dpdk_get_devargs ()

    const char *
    nm_setting_ovs_dpdk_get_devargs (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “devargs” property of the setting

Since: 1.20

### nm_setting_ovs_dpdk_get_n_rxq ()

    guint32
    nm_setting_ovs_dpdk_get_n_rxq (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-rxq” property of the setting

Since: 1.36

### nm_setting_ovs_dpdk_get_n_rxq_desc ()

    guint32
    nm_setting_ovs_dpdk_get_n_rxq_desc (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-rxq-desc” property of the setting

Since: 1.42

### nm_setting_ovs_dpdk_get_n_txq_desc ()

    guint32
    nm_setting_ovs_dpdk_get_n_txq_desc (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-txq-desc” property of the setting

Since: 1.42

## Types and Values

### NM_SETTING_OVS_DPDK_SETTING_NAME

    #define NM_SETTING_OVS_DPDK_SETTING_NAME "ovs-dpdk"

### NM_SETTING_OVS_DPDK_DEVARGS

    #define NM_SETTING_OVS_DPDK_DEVARGS    "devargs"

### NM_SETTING_OVS_DPDK_N_RXQ

    #define NM_SETTING_OVS_DPDK_N_RXQ      "n-rxq"

### NM_SETTING_OVS_DPDK_N_RXQ_DESC

    #define NM_SETTING_OVS_DPDK_N_RXQ_DESC "n-rxq-desc"

### NM_SETTING_OVS_DPDK_N_TXQ_DESC

    #define NM_SETTING_OVS_DPDK_N_TXQ_DESC "n-txq-desc"